<div class="login-page">
    <div class="content">
        <!-- <h1 class="app-name">Live Coding</h1> -->
        <form class="login-form" fxFlex id="form" >
            <div class="text-center">
                <h2 class="app-name">Live Coding</h2>
            </div>
            <div fxFlex  fxlayout="row" fxlayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput placeholder="Email"  name="mail" [(ngModel)]="mail">
                    </mat-form-field>
                </div>
            </div>
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput type="password" placeholder="Password" name="password" [(ngModel)]="password">
                    </mat-form-field>
                </div>
            </div>
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput  placeholder="Name"  name="name" [(ngModel)]="name">
                    </mat-form-field>
                </div>
            </div>
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput  placeholder="Last_name" name="last_name" [(ngModel)]="last_name">
                    </mat-form-field>
                </div>
            </div>
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column" style="margin: 20px 0 30px 0">
            </div>
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <button mat-raised-button color="primary" class="w-100" (click)="register()" > register</button>
                </div>
            </div>
        
            <div fxFlex  fxLayout="row" fxLayout.lt-md="column">
                
                <div fxFlexFill>
    
                    <small>{{error}}</small>
                </div>
            </div>

        </form>
    </div>
</div>